Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.property.basic
Class ObjectValueFactory

    java.lang.Object
      org.modeshape.graph.property.basic.AbstractValueFactory<Object>
          org.modeshape.graph.property.basic.ObjectValueFactory

All Implemented Interfaces:
  ValueFactory<Object>

    @Immutable
    public class ObjectValueFactory

extends AbstractValueFactory<Object>

The standard `ValueFactory` for `PropertyType.OBJECT` values.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.property.basic.AbstractValueFactory
`AbstractValueFactory.ConvertingIterator<ValueType>`

Field Summary

Fields inherited from interface org.modeshape.graph.property.ValueFactory
`DEFAULT_DECODER, DEFAULT_ENCODER`

Constructor Summary
`ObjectValueFactory(TextDecoder decoder, ValueFactory<String> stringValueFactory, ValueFactory<Binary> binaryValueFactory)`

Method Summary
`Object` | `create(BigDecimal value)` Create a value from a decimal.
`Object` | `create(Binary value)` Create a value from the binary content given by the supplied stream.
`Object` | `create(boolean value)` Create a boolean from a string.
`Object` | `create(byte[] value)` Create a value from the binary content given by the supplied array.
`Object` | `create(Calendar value)` Create a value from a Calendar instance.
`Object` | `create(Date value)` Create a value from a date.
`Object` | `create(DateTime value)` Create a value from a date-time instant.
`Object` | `create(double value)` Create a value from a double.
`Object` | `create(float value)` Create a value from a float.
`Object` | `create(InputStream stream, long approximateLength)` Create a value from the binary content given by the supplied stream.
`Object` | `create(int value)` Create a value from an integer.
`Object` | `create(long value)` Create a long from a string.
`Object` | `create(Name value)` Create a value from a name.
`Object` | `create(Object value)` Create a value from the specified information by determining which other `create` method applies and delegating to that method.
`Object[]` | `create(Object[] values)` Create an array of values from the specified information by determining which other `create` method applies for each object and then delegating to that method.
`Object` | `create(Path.Segment value)` Create a value from a path segment.
`Object` | `create(Path value)` Create a value from a path.
`Object` | `create(Reader reader, long approximateLength)` Create a value from a the binary content given by the supplied reader.
`Object` | `create(Reference value)` Create a value from a reference.
`Object` | `create(String value)` Create a value from a string, using no decoding.
`Object` | `create(String value, TextDecoder decoder)` Create a value from a string, using the supplied decoder.
`Object` | `create(URI value)` Create a value from a URI.
`Object` | `create(UUID value)` Create a value from a UUID.
`protected Object[]` | `createEmptyArray(int length)`
`protected ValueFactory<Binary>` | `getBinaryValueFactory()`

Methods inherited from class org.modeshape.graph.property.basic.AbstractValueFactory
`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getDecoder, getDecoder, getPropertyType, getStringValueFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectValueFactory

    public ObjectValueFactory(TextDecoder decoder,
                              ValueFactory<String> stringValueFactory,
                              ValueFactory<Binary> binaryValueFactory)

Method Detail

### getBinaryValueFactory

    protected ValueFactory<Binary> getBinaryValueFactory()

  Returns:
    binaryValueFactory

### create

    public Object create(String value)

  Create a value from a string, using no decoding.

  Parameters:
    `value` - the string from which the value is to be created
  Returns:
    the value, or null if the supplied string is null
  See Also:
    `ValueFactory.create(String, TextDecoder)`

### create

    public Object create(String value,
                         TextDecoder decoder)

  Create a value from a string, using the supplied decoder.

  Parameters:
    `value` - the string from which the value is to be created
    `decoder` - the decoder that should be used; if null, the `default decoder` is used
  Returns:
    the value, or null if the supplied string is null
  See Also:
    `ValueFactory.create(String)`

### create

    public Object create(int value)

  Create a value from an integer.

  Parameters:
    `value` - the integer from which the value is to be created
  Returns:
    the value; never null

### create

    public Object create(long value)

  Create a long from a string.

  Parameters:
    `value` - the string from which the long is to be created
  Returns:
    the value; never null

### create

    public Object create(boolean value)

  Create a boolean from a string.

  Parameters:
    `value` - the boolean from which the value is to be created
  Returns:
    the value; never null

### create

    public Object create(float value)

  Create a value from a float.

  Parameters:
    `value` - the float from which the value is to be created
  Returns:
    the value; never null

### create

    public Object create(double value)

  Create a value from a double.

  Parameters:
    `value` - the double from which the value is to be created
  Returns:
    the value; never null

### create

    public Object create(BigDecimal value)

  Create a value from a decimal.

  Parameters:
    `value` - the decimal from which the value is to be created
  Returns:
    the value, or null if the supplied decimal is null

### create

    public Object create(Calendar value)

  Create a value from a Calendar instance.

  Parameters:
    `value` - the Calendar instance from which the value is to be created
  Returns:
    the value, or null if the supplied Calendar is null

### create

    public Object create(Date value)

  Create a value from a date.

  Parameters:
    `value` - the date from which the value is to be created
  Returns:
    the value, or null if the supplied date is null

### create

    public Object create(DateTime value)

  Create a value from a date-time instant.

  Parameters:
    `value` - the date-time instant from which the value is to be created
  Returns:
    the value, or null if the supplied date is null
  See Also:
    `ValueFactory.create(org.modeshape.graph.property.DateTime)`

### create

    public Object create(Name value)

  Create a value from a name.

  Parameters:
    `value` - the name from which the value is to be created
  Returns:
    the value, or null if the supplied name is null

### create

    public Object create(Path value)

  Create a value from a path.

  Parameters:
    `value` - the path from which the value is to be created
  Returns:
    the value, or null if the supplied path is null

### create

    public Object create(Path.Segment value)

  Create a value from a path segment.

  Parameters:
    `value` - the path segment from which the value is to be created
  Returns:
    the value, or null if the supplied path segment is null

### create

    public Object create(Reference value)

  Create a value from a reference.

  Parameters:
    `value` - the reference from which the value is to be created
  Returns:
    the value, or null if the supplied reference is null

### create

    public Object create(URI value)

  Create a value from a URI.

  Parameters:
    `value` - the URI from which the value is to be created
  Returns:
    the value, or null if the supplied URI is null

### create

    public Object create(UUID value)

  Create a value from a UUID.

  Parameters:
    `value` - the UUID from which the value is to be created
  Returns:
    the value, or null if the supplied URI is null
  See Also:
    `ValueFactory.create(java.util.UUID)`

### create

    public Object create(Object value)

  Create a value from the specified information by determining which other `create` method applies and delegating to that method. Note that this method only will call `create` methods that take a single parameter; so this excludes `ValueFactory.create(InputStream, long)`, `ValueFactory.create(Reader, long)` and `ValueFactory.create(String, TextDecoder)`.

  Specified by:
    `create` in interface `ValueFactory<Object>`
  Overrides:
    `create` in class `AbstractValueFactory<Object>`
  Parameters:
    `value` - the value
  Returns:
    the new value, or null if the supplied parameter is null
  See Also:
    `AbstractValueFactory.create(java.lang.Object)`

### create

    public Object[] create(Object[] values)

  Create an array of values from the specified information by determining which other `create` method applies for each object and then delegating to that method. Note that this method will not consider `ValueFactory.create(InputStream, long)`, `ValueFactory.create(Reader, long)` and `ValueFactory.create(String, TextDecoder)`.

  Specified by:
    `create` in interface `ValueFactory<Object>`
  Overrides:
    `create` in class `AbstractValueFactory<Object>`
  Parameters:
    `values` - the values
  Returns:
    the new value, or null if the supplied parameter is null
  See Also:
    `AbstractValueFactory.create(java.lang.Object[])`

### create

    public Object create(byte[] value)

  Create a value from the binary content given by the supplied array.

  Parameters:
    `value` - the content to be used to create the value
  Returns:
    the value, or null if the supplied stream is null

### create

    public Object create(Binary value)
                  throws ValueFormatException,
                         IoException

  Create a value from the binary content given by the supplied stream.

  Parameters:
    `value` - the binary object to be used to create the value
  Returns:
    the value, or null if the supplied stream is null
  Throws:
    `ValueFormatException` - if the conversion from the binary object could not be performed
    `IoException` - If an unexpected problem occurs while accessing the supplied binary value (such as an `IOException`).
  See Also:
    `ValueFactory.create(org.modeshape.graph.property.Binary)`

### create

    public Object create(InputStream stream,
                         long approximateLength)

  Create a value from the binary content given by the supplied stream.

  Parameters:
    `stream` - the stream containing the content to be used to create the value
    `approximateLength` - the approximate length of the content (in bytes)
  Returns:
    the value, or null if the supplied stream is null

### create

    public Object create(Reader reader,
                         long approximateLength)

  Create a value from a the binary content given by the supplied reader.

  Parameters:
    `reader` - the reader containing the content to be used to create the value
    `approximateLength` - the approximate length of the content (in bytes)
  Returns:
    the value, or null if the supplied string is null

### createEmptyArray

    protected Object[] createEmptyArray(int length)

  Specified by:
    `createEmptyArray` in class `AbstractValueFactory<Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.